use comfy::*;

use crate::{
	activities::{house, overworld, Activity},
	State
};

pub fn update(state: &mut State, engine: &mut EngineContext) {
	match state.activity {
		Activity::House => house::update(state, engine),
		Activity::Overworld => overworld::update(state, engine)
	}
}

pub fn draw(state: &State, engine: &EngineContext) {
	match state.activity {
		Activity::House => house::draw(state, engine),
		Activity::Overworld => overworld::draw(state, engine)
	}
}
